## com.puppycrawl.tools.checkstyle.checks.indentation
Class StaticInitHandler

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.indentation.ExpressionHandler
          com.puppycrawl.tools.checkstyle.checks.indentation.BlockParentHandler
              com.puppycrawl.tools.checkstyle.checks.indentation.StaticInitHandler

    public class StaticInitHandler

extends BlockParentHandler

Handler for static initialization blocks.

Author:
  Jeff Weston

Constructor Summary
`StaticInitHandler(IndentationCheck aIndentCheck, DetailAST aAst, ExpressionHandler aParent)` Construct an instance of this handler with the given indentation check, abstract syntax tree, and parent handler.

Method Summary
`protected boolean` `toplevelMustStartLine()` Determines if the top level token must start the line.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.indentation.BlockParentHandler
`checkIndentation, checkLCurly, checkRCurly, checkToplevelToken, childrenMayNest, getCheckedChildren, getChildrenExpectedLevel, getLCurly, getListChild, getLParen, getNonlistChild, getRCurly, getRParen, getToplevelAST, hasCurlys, rcurlyMustStart, suggestedChildLevel`

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.indentation.ExpressionHandler
`checkChildren, checkExpressionSubtree, checkLinesIndent, checkLParen, checkModifiers, checkRParen, expandedTabsColumnNo, findSubtreeLines, getBasicOffset, getBraceAdjustement, getFirstLine, getIndentCheck, getLevel, getLevelImpl, getLineStart, getLineStart, getMainAst, getParent, logError, logError, shouldIncreaseIndent, startsLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaticInitHandler

    public StaticInitHandler(IndentationCheck aIndentCheck,
                             DetailAST aAst,
                             ExpressionHandler aParent)

  Construct an instance of this handler with the given indentation check, abstract syntax tree, and parent handler.

  Parameters:
    `aIndentCheck` - the indentation check
    `aAst` - the abstract syntax tree
    `aParent` - the parent handler

Method Detail

### toplevelMustStartLine

    protected boolean toplevelMustStartLine()

  Determines if the top level token must start the line.

  Overrides:
    `toplevelMustStartLine` in class `BlockParentHandler`
  Returns:
    false

Back to the Checkstyle Home Page